<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Terrain Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2ba2f7a6eb2c9356d6bddaf30fe72257">_calcSkirtVertexIndex</a>(uint16 mainIndex, uint16 vdatasize, bool isCol, uint16 numSkirtRowsCols, uint16 skirtRowColSkip)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa40d40d6f3de43fa0651079673145b95">_dirtyCompositeMapRect</a>(const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a1ba82d7fe350ae72a2d748eb4e02b960">_dumpTextures</a>(const String &amp;prefix, const String &amp;suffix)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a9ce8e6eb204553e2eb6367d855a27d06">_getCompositeMapMaterial</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a75f18a9d6ee03480a4b739575b65eed3">_getDerivedResourceGroup</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a6e8b5db2343f30c724c9d3a2851b5f1a">_getMaterial</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a14decc3b04b97743c57cc99f89ddb3b4">_getMorphRequired</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a72c79185cbbc50e1ff016946ae14dca2">_getNumIndexesForBatchSize</a>(uint16 batchSize)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a877892cb1d1d348857c9770c4d5c42c7">_getRootSceneNode</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a81e33e10e9e71c5e2da7c8064b174274">_getUseVertexCompression</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a3165187f382a6e0f1b88075795f13e20">_populateIndexBuffer</a>(uint16 *pIndexes, uint16 batchSize, uint16 vdatasize, size_t vertexIncrement, uint16 xoffset, uint16 yoffset, uint16 numSkirtRowsCols, uint16 skirtRowColSkip)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a10b9f303b81585c1b51d0c273f03a5dd">_setCompositeMapRequired</a>(bool compositeMap)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a915121f91285f370bd1a01842991ae03">_setLightMapRequired</a>(bool lightMap, bool shadowsOnly=false)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2a65fb835fe22a425107ce43edf43219">_setMorphRequired</a>(bool morph)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a3dba1853267506fed228c02ea8ecfe16">_setNormalMapRequired</a>(bool normalMap)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a70a42e6eb37cb024b4573fc912e219b4">addLayer</a>(Real worldSize=0, const StringVector *textureNames=0)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a1b09422cf8baa9b8dddd45290de9a666">addLayer</a>(uint8 index, Real worldSize=0, const StringVector *textureNames=0)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad7934e16e9ad7a0a272bb86d46c17b9e">addQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aca4fcebfb7ed4684682347d325477e91adfc96b5a388b3e48709d56b899098508">ALIGN_X_Y</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aca4fcebfb7ed4684682347d325477e91ac4699c4f99bea344a309d5544b33c140">ALIGN_X_Z</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aca4fcebfb7ed4684682347d325477e91add646ddae48fd0c7cc9c0a74458feb42">ALIGN_Y_Z</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aca4fcebfb7ed4684682347d325477e91">Alignment</a> enum name</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad6b29b78e589b431e95a9e9ad3b1e2eb">BytePointerList</a> typedef</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a6b31565a87201967e69d1b92294b229e">calculateCurrentLod</a>(Viewport *vp)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a57b254a77b1c0fe87a34366ab08db4f3">calculateHeightDeltas</a>(const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a65b20498fb2fb418f87bab3b29fbd409">calculateLightmap</a>(const Rect &amp;rect, const Rect &amp;extraTargetRect, Rect &amp;outFinalRect)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#adedd57624fe8d44f0b8bfaf00f5eb5bc">calculateNormals</a>(const Rect &amp;rect, Rect &amp;outFinalRect)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a22196f59f8f761e7fc4bea11db488252">canHandleRequest</a>(const WorkQueue::Request *req, const WorkQueue *srcQ)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a3e3d8150704d279630a3a125b0439138">canHandleResponse</a>(const WorkQueue::Response *res, const WorkQueue *srcQ)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ac8ebf9854068d8fddbcbf54e48a39b27">checkDeclaration</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#afbaf4b4d1632080056b7b4f85b335165">checkLayers</a>(bool includeGPUResources)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#abd464d9b5dbee91805d64484bcfd0878">checkQuadIntersection</a>(int x, int y, const Ray &amp;ray)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a192030cef3b627d26dd656e9b5c792e1">clearGPUBlendChannel</a>(uint8 index, uint channel)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ab300e46ca6c30d2cf68f8d9c237bc0d0">convertDirection</a>(Space inSpace, const Vector3 &amp;inDir, Space outSpace, Vector3 &amp;outDir) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a034d331f70f966f91ad13a9612f21436">convertDirection</a>(Space inSpace, const Vector3 &amp;inDir, Space outSpace) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a210d950ed4d04784580aec3c5c55174d">convertPosition</a>(Space inSpace, const Vector3 &amp;inPos, Space outSpace, Vector3 &amp;outPos) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a7a5aec19203437d4cf0d5121c794e06f">convertPosition</a>(Space inSpace, const Vector3 &amp;inPos, Space outSpace) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa797cf995a8f25943d78e85a05fe8d6a">convertSpace</a>(Space inSpace, const Vector3 &amp;inVec, Space outSpace, Vector3 &amp;outVec, bool translation) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#afb9983e073970fa2fa47ede55a7f16f6">convertTerrainToWorldAxes</a>(Alignment align, const Vector3 &amp;terrainVec, Vector3 *worldVec)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a8fb87d333e8a0c494aabfb4420b4b4da">convertTerrainToWorldAxes</a>(const Vector3 &amp;inVec) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a86553dfa0e4c39018d8ee23f96fe588d">convertWorldToTerrainAxes</a>(Alignment align, const Vector3 &amp;worldVec, Vector3 *terrainVec)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a0b131fb59f4d4877d2f18f225bf54cec">convertWorldToTerrainAxes</a>(const Vector3 &amp;inVec) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a4b624d1e425d385d93de55e8a78c3c37">copyBlendTextureChannel</a>(uint8 srcIndex, uint8 srcChannel, uint8 destIndex, uint8 destChannel)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad8ba0a89c1460ecc115258e93a924855">copyGlobalOptions</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a73e18a1e24e6e62882963c018e7e8dd4">createGPUBlendTextures</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a0c5f82d7c43e42221411189dfff0a75c">createLayerBlendMaps</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a77b673df44fe93cf4a7a3b9ca23cbca1">createOrDestroyGPUColourMap</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ab940d9f4566b83929f4147dbcb6ca6e2">createOrDestroyGPUCompositeMap</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a0e3df89ebdf444a869339a22ca96a45e">createOrDestroyGPULightmap</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a106ebe5cb293ccbaed86b2ca3050191b">createOrDestroyGPUNormalMap</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a025ce5b8db5723cbc2b5a99814c25877">deleteBlendMaps</a>(uint8 lowIndex)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aaef9ac3a5d1ceed0260a17f93b88d848">DERIVED_DATA_ALL</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#adc4deb8ce09c46f3d6215ea1ff390959">DERIVED_DATA_DELTAS</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a1ebde7f1f98abe26938397f7110c88f3">DERIVED_DATA_LIGHTMAP</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a633492f40707af756814bca31f0f35ba">DERIVED_DATA_NORMALS</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5c915cf8f58c6388acd380d93dc48f74">deriveUVMultipliers</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2443cba8ae001e24c5ff534d62a7656b">determineLodLevels</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aab69f3dead87b53b84784c7d7d325f68">dirty</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a9e432dfa8261600759fb020c09c169a1">dirtyLightmap</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a0852e0efabe0cbaf49277dbb261a5490">dirtyLightmapRect</a>(const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a0a9de436fad8d6f3a95b1b78314fb736">dirtyRect</a>(const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a8fe1c186175488bbd1b5482d65ef2afb">distributeVertexData</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a1da607007f9aa988b80df8d3036e187e">finaliseHeightDeltas</a>(const Rect &amp;rect, bool cpuData)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a36a0e738c270ab2d804446f3e93ae651">finaliseLightmap</a>(const Rect &amp;rect, PixelBox *lightmapBox)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a19862c05e3b50f4464a41e48c12c5245">finaliseNormals</a>(const Rect &amp;rect, PixelBox *normalsBox)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a71eb9779c8d8f59299a192c9bb325b54">freeCPUResources</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#abc77fe79251154593aa0039bd08c9eaa">freeGPUResources</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a4ee732f95cf2b3c4aacb709db48fad1e">freeTemporaryResources</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a18203cad0de3ecd32e9f6950ddc9a839">getAABB</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ab88ab762ab8e08d741b5e08a5da7f13c">getAlignment</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a753628e41c2d907c2989fa43e375c0e2">getBlendTextureCount</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad16106222b63e428a6e151e331f2b1c1">getBlendTextureCount</a>(uint8 numLayers) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#acb8730f99203276de8f954615bf0a179">getBlendTextureFormat</a>(uint8 textureIndex, uint8 numLayers)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a12feb639d19de69db8a186c6d8d36cb9">getBlendTextureIndex</a>(uint8 layerIndex) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aaf6ff3eb4ec355b469243827990a1769">getBlendTextureName</a>(uint8 textureIndex) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a22ee3f616480a2385278bf692d95eb2b">getBoundingRadius</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a4a009b1a2de93007edd0696d7b9c440b">getCompositeMap</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a156565603450404f4aec41c0f0b99a68">getCompositeMapMaterial</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aca0739082e26a3f9d68a316f76392a65">getCompositeMapSize</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa364ffe146618c87a7db0169dde16a6f">getDeltaBufVertexSize</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a42a125486114e88b6291dd0b63ad0a03">getDeltaData</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a35a3996765edc1e5da9ed3567c01be02">getDeltaData</a>(long x, long y)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a25d8a08cd45b5ceb77671bee5d1a8955">getEdgeRect</a>(NeighbourIndex index, long range, Rect *outRect)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a71ceea9cd78cf678e6bdbbd379d65a43">getGlobalColourMap</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aaa4a4d93ba62e06f1718ee757bf2e053">getGlobalColourMapEnabled</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a90a9e5f27d4df4fcf1aa58efb3b2eb82">getGlobalColourMapSize</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ac384555375690ef86b39c7db91ebe7ca">getGpuBufferAllocator</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ae2fda987ed550c2ad857fbbdba11682a">getHeightAtPoint</a>(long x, long y) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a454913988f558302772fba6e9c1a6c63">getHeightAtTerrainPosition</a>(Real x, Real y)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a269d29b87bb84f49a5dfc0ac7886d066">getHeightAtWorldPosition</a>(Real x, Real y, Real z)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a9dd08363a5a9e6c4912c84c29fb98abd">getHeightAtWorldPosition</a>(const Vector3 &amp;pos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a1b33d7899c422f892de06853007da431">getHeightData</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa45521a8a2b5aaf0755bf23e5d75d25e">getHeightData</a>(long x, long y) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a68d05f4414e020b6eed2c4f90888b6fd">getLayerBlendMap</a>(uint8 layerIndex)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#adf689a83410a0714ad42a4d5c8d163fc">getLayerBlendMapSize</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa3d061b1c43ef7ac7d46a868bbec322a">getLayerBlendTexture</a>(uint8 index)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a265b2439efab337786a51625de569cb5">getLayerBlendTextureIndex</a>(uint8 layerIndex)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5f509f011aa69122ce34816f8da4c318">getLayerCount</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad4f87c4046c4b1c816797bdbdde3738c">getLayerDeclaration</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a8c28680a7bb707a66de202f32dbbeb15">getLayerTextureName</a>(uint8 layerIndex, uint8 samplerIndex) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a20e9e935fcb76f92983797dcb1cf8874">getLayerUVMultiplier</a>(uint8 index) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a30947d283ba2a1c6edd0fe90dc28fd48">getLayerWorldSize</a>(uint8 index) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aac3e1e21b32fac53f1ed9df15ddaf89c">getLightmap</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a221f18c8b2cb5a57f1892d28e14df850">getLightmapSize</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa54dbaa1f21b79f6108c0f72ead845ef">getLODLevelWhenVertexEliminated</a>(long x, long y)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a90d6eed93b3a21dc1940e56729bf1287">getLODLevelWhenVertexEliminated</a>(long rowOrColulmn)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a16bb4950df6283292ff89ea3df143add">getMaterial</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a9ca3f5c19817403a166a1a43350b09c9">getMaterialName</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#abfd5aee0fac86726d119562386c473ef">getMaxBatchSize</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a84cee9909915e9ec95404a7831aec106">getMaxHeight</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5cf3438b7ce351174767c854ea54fde4">getMaxLayers</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad3b03b243dd2c3b86d8b4c401ed1544b">getMinBatchSize</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a99423ecc72a474987d6df7a0c454bf46">getMinHeight</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a956ff3708b4afec3355b07c4dd750665">getNeighbour</a>(NeighbourIndex index)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa416f197c9b0a0d075a0d0ffd3ed0619">getNeighbourEdgeRect</a>(NeighbourIndex index, const Rect &amp;inRect, Rect *outRect)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a14e9fbfcb1edd236554880595b02899b">getNeighbourIndex</a>(long offsetx, long offsety)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ac46b11fac17ae891aabcb25e7510ed75">getNeighbourPoint</a>(NeighbourIndex index, long x, long y, long *outx, long *outy)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5fdc0d30bf6c4426df60cd633962c070">getNeighbourPointOverflow</a>(long x, long y, NeighbourIndex *outindex, long *outx, long *outy)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a6e6152a17cc7c588fbed610793f7d057">getNumLodLevels</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a324db087af9b6044a6dff949595d27aa">getNumLodLevelsPerLeaf</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad90008dc319c694b073fc1e6523e03c2">getOppositeNeighbour</a>(NeighbourIndex index)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#afd61f1e3f9bfcbdecd3a300f5848b668">getPoint</a>(long x, long y, Vector3 *outpos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2abc2ab1ba40d7bcee90c83608c1c6da">getPoint</a>(long x, long y, float height, Vector3 *outpos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a3c8c3a0bc2d07f019c236d76b4137ac7">getPointAlign</a>(long x, long y, Alignment align, Vector3 *outpos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa839bd9d15b8100e6b00800fe7bb3caf">getPointAlign</a>(long x, long y, float height, Alignment align, Vector3 *outpos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a948020a987ec5bbe5642da9639ca39db">getPointFromSelfOrNeighbour</a>(long x, long y, Vector3 *outpos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a80eecec84ed2e990ca129ad0909f656d">getPointTransform</a>(Matrix4 *outXform) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a822a0043a5fc3ed652995c43d591d4dd">getPosition</a>(const Vector3 &amp;TSpos, Vector3 *outWSpos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#acc92b24a67e7c34259ad89551960dc80">getPosition</a>(Real x, Real y, Real z, Vector3 *outWSpos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a38bb1cda48e1fb6afeb9f6624e934cbf">getPosition</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a020aa8a6fb8525f1e37b0b3ccf8a87fc">getPositionAlign</a>(const Vector3 &amp;TSpos, Alignment align, Vector3 *outWSpos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a8849355e60cd6df351973cd0baac32b5">getPositionAlign</a>(Real x, Real y, Real z, Alignment align, Vector3 *outWSpos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a4a1d9825863444033873133bc2cd3f81">getPositionBufVertexSize</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5415ad85a6bf652029c01169105a068d">getQuadTree</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ac387d6c5b2fd70ab48e9ccf3e48c6619">getQueryFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a85db9aa174047ce5cc4eb3904f32ef42">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a8d07f132d6380415c02377659ee5f2f3">getResolutionAtLod</a>(uint16 lodLevel)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ab737d9aa90458fef3e19d3e1131c960e">getResourceGroup</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a7c381de393a45f50b946a0deb82d3e94">getSceneManager</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2e95066b094374656ce98d20348cda41">getSize</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a405294244727e67a5601e0bbb32cfb0d">getSkirtSize</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a7601c279cf4f0d4c99260c243f2e36a1">getTerrainNormalMap</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a199d79213db292566c8e24560c169447">getTerrainPosition</a>(const Vector3 &amp;WSpos, Vector3 *outTSpos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a241235c8ab9d24c16866ff31c1d06f0e">getTerrainPosition</a>(Real x, Real y, Real z, Vector3 *outTSpos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a88e8e85cb23721172771b02adc4a80fc">getTerrainPositionAlign</a>(const Vector3 &amp;WSpos, Alignment align, Vector3 *outTSpos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a400c6b7180b021e55c61563fa47aee61">getTerrainPositionAlign</a>(Real x, Real y, Real z, Alignment align, Vector3 *outTSpos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ab91e2ba676dad3745e9fa566d11534da">getTerrainVector</a>(const Vector3 &amp;inVec, Vector3 *outVec)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#afe61ca58b07beae5e8715cfb758e8e4c">getTerrainVector</a>(Real x, Real y, Real z, Vector3 *outVec)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#adc4daed9aa3a9c959d53447ccf4d4697">getTerrainVectorAlign</a>(const Vector3 &amp;inVec, Alignment align, Vector3 *outVec)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ab5f123a742d8c9d5ea1f326d03244215">getTerrainVectorAlign</a>(Real x, Real y, Real z, Alignment align, Vector3 *outVec)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa976d0a9ead9a68f6cce0840a0bffbe2">getVector</a>(const Vector3 &amp;inVec, Vector3 *outVec)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ac2303ac03a548d70df4f6e35ef03d068">getVector</a>(Real x, Real y, Real z, Vector3 *outVec)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a4cbdd1a6f7f98907be9b0bdc39f039d9">getVectorAlign</a>(const Vector3 &amp;inVec, Alignment align, Vector3 *outVec)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2501cd7eea89dd0a37b9e27573cff871">getVectorAlign</a>(Real x, Real y, Real z, Alignment align, Vector3 *outVec)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a6f2a1ff260575d4ff9270d7c2198d5a4">getVisibilityFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aacbd531b472588c70f573b27bef86716">getWorldAABB</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a01aff92e4838a195951278adab62e898">getWorldSize</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a00a3600acc9fb758f8890f2c0877f62e">handleRequest</a>(const WorkQueue::Request *req, const WorkQueue *srcQ)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad963dbee0f58e887e05c982385fb9799">handleResponse</a>(const WorkQueue::Response *res, const WorkQueue *srcQ)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#afb5586d0aba89e95bb91e5e3fd297948">isDerivedDataUpdateInProgress</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ab466ef2e08c9c7db3587c8d20899c63d">isHeightDataModified</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a39961727e82c23d6ac940b426ff4b0b7">isLoaded</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a0388783d87e3ac97b4a43efb57937c8f">isModified</a>() const </td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a7f4f256f962849538b8e46eebd6da94c">LayerInstanceList</a> typedef</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#a05a9a139f53f89d5595c4f3101ea53d3">Listener</a>()</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ae7381fe2e7ea64304f59e7f10b6c90ec">load</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ae3fc60c0f8350b4872323ddf258d922d">load</a>(StreamSerialiser &amp;stream)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a6414d3fe04156cab3a3c1024ae311534">load</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aebf8a7aadb5de3a0669d41acfd58d781ae3eabb53019f0d4ecfbff1d9a417d907">LOCAL_SPACE</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aefb36415178b8e15aac901f87b61d3da">LOD_MORPH_CUSTOM_PARAM</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a9641e90abcf63dab08dccf93af4bd85d">mAlign</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a485d3d98e481c23f37985e09df71cf09">mBase</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5a6f0694c75d27a1f610f45f7d3fe298">mBlendTextureList</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ab298886638bf91c45c1cf742f0b70d69">mColourMap</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a0b4fdae3ba7dc9637122a571152b297b">mCompositeMap</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aed440e71196c9f3d76633461e61ecf3c">mCompositeMapDirtyRect</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad5792073207265724b6d79766fcdf64a">mCompositeMapDirtyRectLightmapUpdate</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#af58fb7c2a6bb9cf9d1414739a3927004">mCompositeMapMaterial</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a75a5aa015183ef539c2ce7da26b4e31b">mCompositeMapRequired</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a8e623526a576815f8e8b6ad5426f6520">mCompositeMapSize</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a517fc8df0870320f05fe86a7945e5577">mCompositeMapSizeActual</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#afaf753af6db587044ce7c121a3ecb35a">mCompositeMapUpdateCountdown</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a0a32afba4ecd26cc4b1b0afcb323a46f">mCpuBlendMapStorage</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#af122a088d4fee6faf1ef48045ba549bd">mCpuColourMapStorage</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#abe66401a823c35bff777664165d44cb1">mCpuCompositeMapStorage</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a638f3bbe77c06c3e5cabd6e3ffa383d4">mCpuLightmapStorage</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a0176cf2bb7bb6f3724a23b2e3839e947">mCpuTerrainNormalMap</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a33e527a5b38fb315d1420070217351ab">mCustomGpuBufferAllocator</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aeeb4e9d5bfaf45a087a9810ff3e0e88d">mDefaultGpuBufferAllocator</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a8937c5f21401077b9d33955d9b07ac64">mDeltaData</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a4c8e4624c142f963e30cde4d0924a1f1">mDerivedDataUpdateInProgress</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#af4e5a2ff8419f32d98041c9427186ec4">mDerivedUpdatePendingMask</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#af0755af0f30b1a30a1353dddc53b8d9f">mDirtyDerivedDataRect</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a3941cf4317bd326c4c3a1dfa7690a37b">mDirtyGeometryRect</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a1cbef8c1fee4e5d9f84eba3f601020db">mDirtyGeometryRectForNeighbours</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a3eaa3ae325935bba5aa04721d95a10c9">mDirtyLightmapFromNeighboursRect</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a285d98679e7babd074f3520c1679c45a">mGlobalColourMapEnabled</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a166ea7ce2cd207073b8c85b6cb3fd18e">mGlobalColourMapSize</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a83bbc61a8311ec2ccd52057fd25f627f">mHeightData</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa8a35e9bf9c5307678dc6166273f3db0">mHeightDataModified</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aea4c89bf7c89a1df235284661317ee5c">mIsLoaded</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a86d9e4225439aa3a80880866b5b0344d">mLastLODCamera</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a56abcf439703d0dfd1b9f20884b77ea6">mLastLODFrame</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5353699a17912c930ad6233a8c03eaeb">mLastMillis</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a15d28aeba05b82cc302077ba14f97efb">mLastViewportHeight</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a0360134ebb6d7d4de73947b44a4e058e">mLayerBlendMapList</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a51f3d31c83e4a675d1ae79764da08c9a">mLayerBlendMapSize</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a1a440dd8c09418ff6e91361571361758">mLayerBlendMapSizeActual</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#affb026be1fa23c8854565dc8b90953f6">mLayerDecl</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#af1ebd1d59d9609e57f636403cd0c5d75">mLayers</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a6eca2f77f7a8798fa0022a215112de52">mLayerUVMultiplier</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a809efe6ea5ee604d9d43cfcd75841e30">mLightmap</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a4edce6e8967649ffcb97d5e8f586e400">mLightMapRequired</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a558428bf181e9b93e9818da3db6b336b">mLightMapShadowsOnly</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa11b22e1c3cf961d33a0954880ccbfb4">mLightmapSize</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a193fad393b24141f14e09200dd206c24">mLightmapSizeActual</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5c72d3c973a1ba37d321b7a68de1f0c4">mLodMorphRequired</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a350a48c17dc258989cb1c129764cf3bf">mMaterial</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a9e3852fc118b397b149ec70a996c1ad2">mMaterialDirty</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad3bc88cecb68633d47eb68c927a5ecd3">mMaterialGenerationCount</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a27a1e40f095c4b2903a80c27b89dfa72">mMaterialGenerator</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a23c48862654ccb8e34161e1d82ea4fc5">mMaterialName</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad665e8956447375d325810bb840e588f">mMaterialParamsDirty</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a70b9d43bab8ca756a086be6570837276">mMaxBatchSize</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ae3822799690563d5127ccfa7e917d979">mMinBatchSize</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a7492c31cf2d3172352adabdffef0c166">mModified</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a75d57c577cd10027d726c1f33d2f020b">mNeighbours</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a80cd0f9fa136d2051b2e233e38adf470">mNormalMapRequired</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa06c7fa7675af002931b570301788140">mNumLodLevels</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ab63de59c01ad5013c4334ac19f9ed5e9">mNumLodLevelsPerLeafNode</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a8a2897ebf5e96be16ebff9adc8f4b0c3">mPos</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#af21402726cbf4739e31525ad49787d77">mQuadTree</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a1370239abf38ddc71c5a40159898c31d">mQueryFlags</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a77d20277f824e0f06e1a6429dd024299">mRenderQueueGroup</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a3e3a0e6e7fc53c54470172b5abc25d22">mResourceGroup</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#abca80f7ceeacf8ffb404d2a9f2dfb2f3">mRootNode</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a8ae8a162c87ef7f68f1071fa72b7b9e9">msBlendTextureGenerator</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a86b630eff3dcf4c4c6a7ee5098e1cc09">mScale</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#abc9edf0c90d1e990281cacda529313e7">mSceneMgr</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ab15a97ece4b0ffe5b54b4e634f125b70">msCompositeMapNameGenerator</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ae24ab80aa422f73efdb425b1e2ad2b8e">mSize</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5f71d9dcbd70fc1dd6d332941ce15583">mSkirtSize</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aee6e3b02940508becd5f1a8b2fa46727">msLightmapNameGenerator</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a1886f1e5eeefc749df664d9275361f2f">msNormalMapNameGenerator</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2471b8639a44a294492dc6bc0ecc4a9f">mTerrainNormalMap</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a3595a98d49b19937bd8c618bcc10d7d6">mTreeDepth</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a936455a8933674c796168c948b53055d">mVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5bd6d908c8953d9229b9bf6276d7b040">mWorkQueueChannel</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a95c0eee4308d06f22e2ea02d9e1df555">mWorldSize</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2d0c6e14298e6a196148388ca2ffa9e2a5ba448a51833e6c8eea28884a706834c">NEIGHBOUR_COUNT</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2d0c6e14298e6a196148388ca2ffa9e2a88c6e2c93031bba254272861a1664cc3">NEIGHBOUR_EAST</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2d0c6e14298e6a196148388ca2ffa9e2a07b3c537d34f5c7e1e3e79634dfcac1d">NEIGHBOUR_NORTH</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2d0c6e14298e6a196148388ca2ffa9e2aed82e8f7f45fcb5faeef6158c9d1ff3a">NEIGHBOUR_NORTHEAST</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2d0c6e14298e6a196148388ca2ffa9e2a8795dff5bfc2240747ee0a843a900c71">NEIGHBOUR_NORTHWEST</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2d0c6e14298e6a196148388ca2ffa9e2a8c91ce1d5f82d7525102bc91fde0df2d">NEIGHBOUR_SOUTH</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2d0c6e14298e6a196148388ca2ffa9e2a4183a4a8b0f78832395fa0aa981f07bf">NEIGHBOUR_SOUTHEAST</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2d0c6e14298e6a196148388ca2ffa9e2aec43a04404ef9873e7d43c094e097e40">NEIGHBOUR_SOUTHWEST</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2d0c6e14298e6a196148388ca2ffa9e2a3a45b8d00d2ba435e61cdc99c94b0a91">NEIGHBOUR_WEST</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2d0c6e14298e6a196148388ca2ffa9e2">NeighbourIndex</a> enum name</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5baccf626f31854f341910aa4c7c0500">neighbourModified</a>(NeighbourIndex index, const Rect &amp;edgerect, const Rect &amp;shadowrect)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a9a1c32a11911a0ccea0eda01c86484a9">notifyNeighbours</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aebf8a7aadb5de3a0669d41acfd58d781a748f0b5f2b54c63be96965de53931de6">POINT_SPACE</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#ab57b560ea987d8dae9901908d0ab6f28">postFindVisibleObjects</a>(SceneManager *source, IlluminationRenderStage irs, Viewport *v)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#ad8f0c1e1efaccade0663e416d76b960c">postUpdateSceneGraph</a>(SceneManager *source, Camera *camera)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad9bd9a0fbdb32cb5571cca586f21e811">preFindVisibleObjects</a>(SceneManager *source, SceneManager::IlluminationRenderStage irs, Viewport *v)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aaf6c29ba4225758313190a53bb12e60c">prepare</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a20d7b036e25805405d3140b3751ec4b6">prepare</a>(StreamSerialiser &amp;stream)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a2b61cedddcd4ebe3b6c27068e2624d74">prepare</a>(const ImportData &amp;importData)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#aaafbc877eaf190b86163c1e171a4400e">preUpdateSceneGraph</a>(SceneManager *source, Camera *camera)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a003259cd78387d45163f03ccace647bb">rayIntersects</a>(const Ray &amp;ray, bool cascadeToNeighbours=false, Real distanceLimit=0)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#adfae6aa2b309d833700cc5f783a6c23f">raySelectNeighbour</a>(const Ray &amp;ray, Real distanceLimit=0)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ac78ab1806379267473d03a57dde9bbb8">readLayerDeclaration</a>(StreamSerialiser &amp;ser, TerrainLayerDeclaration &amp;targetdecl)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5ea9b366b0dead6adf4bb63382851a17">readLayerInstanceList</a>(StreamSerialiser &amp;ser, size_t numSamplers, Terrain::LayerInstanceList &amp;targetlst)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa2b09fef0fe773201df2e55cc995d312">RealVector</a> typedef</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ae0b3ec5f09b44fdc3b83f0535c2d1a27">removeLayer</a>(uint8 index)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa0e26a4fd6e9897509bf7372388427ff">removeQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ae052005afc7eb71b24aef24fc22dd7e0">replaceLayer</a>(uint8 index, bool keepBlends, Real worldSize=0, const StringVector *textureNames=0)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html#a37f35aaa5935b91a180d92e5243fccb7">RequestHandler</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html">Ogre::WorkQueue::RequestHandler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a0e4215e93030a19595bc2d2e30f0a938">ResponseHandler</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html">Ogre::WorkQueue::ResponseHandler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#accbc5c9286d1a898653c1b27e04f6099">save</a>(const String &amp;filename)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#afce38d08848608e3bf4642678e289181">save</a>(StreamSerialiser &amp;stream)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a09baa91af04f211ee9e8e8f60d9e6c39">sceneManagerDestroyed</a>(SceneManager *source)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ac2b0283f89f542552c2e40e07899f95d">setGlobalColourMapEnabled</a>(bool enabled, uint16 size=0)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#afd269cb7c490b88d1aea4fccb4ac2451">setGpuBufferAllocator</a>(GpuBufferAllocator *alloc)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad6f2c33d6fc3f6152a7b6fd0069a7864">setHeightAtPoint</a>(long x, long y, float h)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#af1dc74d66c4f3867a484d09cf2063fbc">setLayerTextureName</a>(uint8 layerIndex, uint8 samplerIndex, const String &amp;textureName)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a4447c7ef2269781192e5b637035b08fc">setLayerWorldSize</a>(uint8 index, Real size)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa0d9b7d033bd0b3c29c13e6151c93bd0">setNeighbour</a>(NeighbourIndex index, Terrain *neighbour, bool recalculate=false, bool notifyOther=true)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa87ddbb08f493d0901594fe6e3f4cafe">setPosition</a>(const Vector3 &amp;pos)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a4b05d2eef470c736f23b6e3dbb5619d9">setQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a9ff521bcc0fb0193d9105af627af5c0d">setRenderQueueGroup</a>(uint8 grp)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aacd2dcc94afbc3e8fbca6d6de1baedab">setResourceGroup</a>(const String &amp;resGroup)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a94a15b828bc003a3bc6a019c9fbbd2ff">setSize</a>(uint16 newSize)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a03a3ea2ce4dba4e2948a6b9d1fc02566">setVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad807304e85ba44ddb02aa7cbd639ef4b">setWorldSize</a>(Real newWorldSize)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#a012a1c3dcf2efbd8245fd125e7fc1b64">shadowTextureCasterPreViewProj</a>(Light *light, Camera *camera, size_t iteration)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#aa05def0ab89195c585b5467059245641">shadowTextureReceiverPreViewProj</a>(Light *light, Frustum *frustum)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#aa2c3ceb367f47c3721e9d1843288d341">shadowTexturesUpdated</a>(size_t numberOfShadowTextures)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a532e37d80ea1338dce79b841de991e78">shiftDownGPUBlendChannels</a>(uint8 index)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a1ed0fb7509cb5e3e451e5241ff12e4c8">shiftUpGPUBlendChannels</a>(uint8 index)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#a5ef1be858fe331867653fbb8aa819494">sortLightsAffectingFrustum</a>(LightList &amp;lightList)</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aebf8a7aadb5de3a0669d41acfd58d781">Space</a> enum name</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a9cc3d8901c73b6d2b6e1613a22636801">Terrain</a>(SceneManager *sm)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad1b6d65618e1ebc55155214f3b10b337">TERRAIN_CHUNK_ID</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#afd3641ddf000f3e2ca771408f558131b">TERRAIN_CHUNK_VERSION</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5c204799a40adae8b01411ec05dbc841">TERRAIN_MAX_BATCH_SIZE</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aebf8a7aadb5de3a0669d41acfd58d781a0ad91edc61b2fb7ebe1966fc167ffe6d">TERRAIN_SPACE</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a50efd0b73343b76d8cfae1366cfd1cd0">TERRAINDERIVEDDATA_CHUNK_ID</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a935d5fea06bddac979ae56c7fa13d9da">TERRAINDERIVEDDATA_CHUNK_VERSION</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ac83d9fa6c4ba65db9c7ad66bbd01b0de">TERRAINLAYERDECLARATION_CHUNK_ID</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a14ce718231ed706aec11489fc6843d76">TERRAINLAYERDECLARATION_CHUNK_VERSION</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#acb18d059e425a9e6f7677d4dfb2d43ee">TERRAINLAYERINSTANCE_CHUNK_ID</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ac7837f27d59df9244743172d331e2fb3">TERRAINLAYERINSTANCE_CHUNK_VERSION</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a53d1561777a42b20c5aa5a42dd96bf9b">TERRAINLAYERSAMPLER_CHUNK_ID</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a369a6d0c5e30874dd103c7089406be6c">TERRAINLAYERSAMPLER_CHUNK_VERSION</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#adf20ab502696a7e4acf28dec2ebdd0c7">TERRAINLAYERSAMPLERELEMENT_CHUNK_ID</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a6b4dc148f017fbd6441bc81f79fe743d">TERRAINLAYERSAMPLERELEMENT_CHUNK_VERSION</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a744b95b93d3f07295ddb42ef5f53d582">TexturePtrList</a> typedef</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#acee00b1d1d1d46633cd88b3b49f488cf">unload</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa67c987848bb325bc3aef2b0ad7a9adf">unprepare</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ae1ebf4ca9e17f173a0d516d92aed411e">update</a>(bool synchronous=false)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a41229318e325966fd3dbaf150576fbf1">updateBaseScale</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a84b12bda4d87a9145c5b131166275fd3">updateCompositeMap</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a5d4659018c697f0a2fae1192f81ede4a">updateCompositeMapWithDelay</a>(Real delay=2)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aa11183930beb39da27e84ca66673ef00">updateDerivedData</a>(bool synchronous=false, uint8 typeMask=0xFF)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a6e3572f152b598701e2f032c849c0ad4">updateDerivedDataImpl</a>(const Rect &amp;rect, const Rect &amp;lightmapExtraRect, bool synchronous, uint8 typeMask)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a8e7fc528309dff0459e1558971a31d00">updateGeometry</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a8f8965d9490b13d8b156d57fc061558b">waitForDerivedProcesses</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aff2c1091b6355257deabcae1755adec9">widenRectByVector</a>(const Vector3 &amp;vec, const Rect &amp;inRect, Rect &amp;outRect)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a19739da0efce18871375737421846f1c">widenRectByVector</a>(const Vector3 &amp;vec, const Rect &amp;inRect, Real minHeight, Real maxHeight, Rect &amp;outRect)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a0441ddb006dede009b3725e0a5536bba">WORKQUEUE_DERIVED_DATA_REQUEST</a></td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#aebf8a7aadb5de3a0669d41acfd58d781a0a7049246e4a77e37dcea36fd35c4daf">WORLD_SPACE</a> enum value</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a124c278790b4228e7dfe6a06575cf653">writeLayerDeclaration</a>(const TerrainLayerDeclaration &amp;decl, StreamSerialiser &amp;ser)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#a7b01d7b34a6cc4c890a393857276bf42">writeLayerInstanceList</a>(const Terrain::LayerInstanceList &amp;lst, StreamSerialiser &amp;ser)</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html#a084b73ccf5c6677ab2c22c3a912fbae1">~Listener</a>()</td><td><a class="el" href="classOgre_1_1SceneManager_1_1Listener.html">Ogre::SceneManager::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html#a0d7c8fced3825d323b12b5dbd167bf83">~RequestHandler</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html">Ogre::WorkQueue::RequestHandler</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a5fb201476bd4bf5a14425c4598753aab">~ResponseHandler</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html">Ogre::WorkQueue::ResponseHandler</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Terrain.html#ad3516cbdabc73135b79f1d34ffda7f01">~Terrain</a>()</td><td><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
